libipsec: Make sure to expire the right SA